export interface EtcdOptions {
}
export declare class Etcd {
    server: string;
    options: EtcdOptions;
    credentials: any;
    clients: any;
    constructor(server?: string, options?: EtcdOptions);
    private getBuffer(obj);
    private callClient(client, method, arg);
    /**
     * blocking version of get()
     * @see {@link get}
     */
    getSync(key: string): any;
    /**
     * get a key from etcd
     * @param key - key to get
     * @return value of the key
     */
    get(key: string): Promise<any>;
    /**
     * blocking version of set()
     * @see {@link set}
     */
    setSync(key: string, value: any): any;
    /**
     * set a key/value to etcd.
     * * a `Buffer` is saved as-is
     * * `null` is saved as an empty string
     * * `undefined` is saved as an empty string
     * * strings are saved as-is
     * * everthing else is tried to `JSON.stringify(value)`
     * @param key - etcd key to set
     * @param value - content to set
     * @return `true`
     */
    set(key: string, value: any): Promise<boolean>;
}
